ReCirq
======

Research using Cirq!

This project contains modules for running quantum computing applications
and experiments through Cirq and Quantum Engine. By way of example, we
also document best practices for setting up robust experimental pipelines.


## Installation and Documentation

Until ReCirq is published to PyPI, please clone this repository and install
from source:

    cd recirq/
    pip install .
    
Until ReCirq is published, please build documentation locally:

    cd docs/
    make html
    

## See Also

This code leverages [Cirq](https://github.com/quantumlib/Cirq) as a
quantum programming language and SDK.
For those interested in using quantum computers to solve problems in
chemistry and materials science, please see
[OpenFermion-Cirq](https://github.com/quantumlib/openfermion-cirq)


ReCirq is not an official Google product. Copyright 2020 Google.

# How to cite ReCirq

ReCirq is uploaded to Zenodo automatically. Click on this badge [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3992331.svg)](https://doi.org/10.5281/zenodo.3992331) to see all the citation formats for all versions.

An equivalent BibTex format reference is below for all the versions:

```
@software{quantum_ai_team_and_collaborators_2020_3992331,
  author       = {Quantum AI team and collaborators},
  title        = {ReCirq},
  month        = Aug,
  year         = 2020,
  publisher    = {Zenodo},
  doi          = {10.5281/zenodo.3992331},
  url          = {https://doi.org/10.5281/zenodo.3992331}
}
```